cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SCH

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SCH

- All Implemented Interfaces:
    ISegment

      public class SCH
      extends Segment

  SCH - Schedule Activity Information Segment.

  The SCH segment contains general information about the scheduled appointment.

  Represents an HL7 SCH message segment. This segment has the following fields:

  SCH-1: Placer Appointment ID (EI)Conditional
  SCH-2: Filler Appointment ID (EI)Conditional
  SCH-3: Occurrence Number (NM)Conditional
  SCH-4: Placer Group Number (EIP)Optional
  SCH-5: Schedule ID (CWE)Optional
  SCH-6: Event Reason (CWE)Required
  SCH-7: Appointment Reason (CWE)Optional
  SCH-8: Appointment Type (CWE)Optional
  SCH-9: Appointment Duration (NM)Withdrawn
  SCH-10: Appointment Duration Units (CNE)Backward
  SCH-11: Appointment Timing Quantity (TQ)Withdrawn
  SCH-12: Placer Contact Person (XCN)Optional
  SCH-13: Placer Contact Phone Number (XTN)Optional
  SCH-14: Placer Contact Address (XAD)Optional
  SCH-15: Placer Contact Location (PL)Optional
  SCH-16: Filler Contact Person (XCN)Required
  SCH-17: Filler Contact Phone Number (XTN)Optional
  SCH-18: Filler Contact Address (XAD)Optional
  SCH-19: Filler Contact Location (PL)Optional
  SCH-20: Entered By Person (XCN)Required
  SCH-21: Entered By Phone Number (XTN)Optional
  SCH-22: Entered By Location (PL)Optional
  SCH-23: Parent Placer Appointment ID (EI)Optional
  SCH-24: Parent Filler Appointment ID (EI)Conditional
  SCH-25: Filler Status Code (CWE)Optional
  SCH-26: Placer Order Number (EI)Conditional
  SCH-27: Filler Order Number (EI)Conditional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCH()` Constructs the SCH segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEnteredByPerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Entered By Person.
    `void` | `addEnteredByPerson(XCN objenteredByPerson)` Add the Entered By Person.
    `void` | `addEnteredByPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Entered By Phone Number.
    `void` | `addEnteredByPhoneNumber(XTN objenteredByPhoneNumber)` Add the Entered By Phone Number.
    `void` | `addFillerContactAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Filler Contact Address.
    `void` | `addFillerContactAddress(XAD objfillerContactAddress)` Add the Filler Contact Address.
    `void` | `addFillerContactPerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Filler Contact Person.
    `void` | `addFillerContactPerson(XCN objfillerContactPerson)` Add the Filler Contact Person.
    `void` | `addFillerOrderNumber(EI objfillerOrderNumber)` Add the Filler Order Number.
    `void` | `addFillerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Filler Order Number.
    `void` | `addPlacerContactAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Placer Contact Address.
    `void` | `addPlacerContactAddress(XAD objplacerContactAddress)` Add the Placer Contact Address.
    `void` | `addPlacerContactPerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Placer Contact Person.
    `void` | `addPlacerContactPerson(XCN objplacerContactPerson)` Add the Placer Contact Person.
    `void` | `addPlacerOrderNumber(EI objplacerOrderNumber)` Add the Placer Order Number.
    `void` | `addPlacerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Placer Order Number.
    `CNE` | `getAppointmentDurationUnits()` Retrieves the Appointment Duration Units.
    `CWE` | `getAppointmentReason()` Retrieves the Appointment Reason.
    `CWE` | `getAppointmentType()` Retrieves the Appointment Type.
    `PL` | `getEnteredByLocation()` Retrieves the Entered By Location.
    `ISingleCollection<XCN>` | `getEnteredByPerson()` Retrieves the Entered By Person.
    `ISingleCollection<XTN>` | `getEnteredByPhoneNumber()` Retrieves the Entered By Phone Number.
    `CWE` | `getEventReason()` Retrieves the Event Reason.
    `EI` | `getFillerAppointmentID()` Retrieves the Filler Appointment ID.
    `ISingleCollection<XAD>` | `getFillerContactAddress()` Retrieves the Filler Contact Address.
    `PL` | `getFillerContactLocation()` Retrieves the Filler Contact Location.
    `ISingleCollection<XCN>` | `getFillerContactPerson()` Retrieves the Filler Contact Person.
    `XTN` | `getFillerContactPhoneNumber()` Retrieves the Filler Contact Phone Number.
    `ISingleCollection<EI>` | `getFillerOrderNumber()` Retrieves the Filler Order Number.
    `CWE` | `getFillerStatusCode()` Retrieves the Filler Status Code.
    `NM` | `getOccurrenceNumber()` Retrieves the Occurrence Number.
    `EI` | `getParentFillerAppointmentID()` Retrieves the Parent Filler Appointment ID.
    `EI` | `getParentPlacerAppointmentID()` Retrieves the Parent Placer Appointment ID.
    `EI` | `getPlacerAppointmentID()` Retrieves the Placer Appointment ID.
    `ISingleCollection<XAD>` | `getPlacerContactAddress()` Retrieves the Placer Contact Address.
    `PL` | `getPlacerContactLocation()` Retrieves the Placer Contact Location.
    `ISingleCollection<XCN>` | `getPlacerContactPerson()` Retrieves the Placer Contact Person.
    `XTN` | `getPlacerContactPhoneNumber()` Retrieves the Placer Contact Phone Number.
    `EIP` | `getPlacerGroupNumber()` Retrieves the Placer Group Number.
    `ISingleCollection<EI>` | `getPlacerOrderNumber()` Retrieves the Placer Order Number.
    `CWE` | `getScheduleID()` Retrieves the Schedule ID.
    `void` | `setAppointmentDurationUnits(CNE objappointmentDurationUnits)` Set the Appointment Duration Units.
    `void` | `setAppointmentDurationUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Appointment Duration Units.
    `void` | `setAppointmentReason(CWE objappointmentReason)` Set the Appointment Reason.
    `void` | `setAppointmentReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Appointment Reason.
    `void` | `setAppointmentType(CWE objappointmentType)` Set the Appointment Type.
    `void` | `setAppointmentType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Appointment Type.
    `void` | `setEnteredByLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Entered By Location.
    `void` | `setEnteredByLocation(PL objenteredByLocation)` Set the Entered By Location.
    `void` | `setEnteredByPerson(ISingleCollection<XCN> objenteredByPersonList)` Set the Entered By Person.
    `void` | `setEnteredByPhoneNumber(ISingleCollection<XTN> objenteredByPhoneNumberList)` Set the Entered By Phone Number.
    `void` | `setEventReason(CWE objeventReason)` Set the Event Reason.
    `void` | `setEventReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Event Reason.
    `void` | `setFillerAppointmentID(EI objfillerAppointmentID)` Set the Filler Appointment ID.
    `void` | `setFillerAppointmentID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Filler Appointment ID.
    `void` | `setFillerContactAddress(ISingleCollection<XAD> objfillerContactAddressList)` Set the Filler Contact Address.
    `void` | `setFillerContactLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Filler Contact Location.
    `void` | `setFillerContactLocation(PL objfillerContactLocation)` Set the Filler Contact Location.
    `void` | `setFillerContactPerson(ISingleCollection<XCN> objfillerContactPersonList)` Set the Filler Contact Person.
    `void` | `setFillerContactPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Filler Contact Phone Number.
    `void` | `setFillerContactPhoneNumber(XTN objfillerContactPhoneNumber)` Set the Filler Contact Phone Number.
    `void` | `setFillerOrderNumber(ISingleCollection<EI> objfillerOrderNumberList)` Set the Filler Order Number.
    `void` | `setFillerStatusCode(CWE objfillerStatusCode)` Set the Filler Status Code.
    `void` | `setFillerStatusCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Filler Status Code.
    `void` | `setOccurrenceNumber(NM objoccurrenceNumber)` Set the Occurrence Number.
    `void` | `setOccurrenceNumber(java.lang.String strOccurrenceNumber)` Set the Occurrence Number.
    `void` | `setParentFillerAppointmentID(EI objparentFillerAppointmentID)` Set the Parent Filler Appointment ID.
    `void` | `setParentFillerAppointmentID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Parent Filler Appointment ID.
    `void` | `setParentPlacerAppointmentID(EI objparentPlacerAppointmentID)` Set the Parent Placer Appointment ID.
    `void` | `setParentPlacerAppointmentID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Parent Placer Appointment ID.
    `void` | `setPlacerAppointmentID(EI objplacerAppointmentID)` Set the Placer Appointment ID.
    `void` | `setPlacerAppointmentID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Placer Appointment ID.
    `void` | `setPlacerContactAddress(ISingleCollection<XAD> objplacerContactAddressList)` Set the Placer Contact Address.
    `void` | `setPlacerContactLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Placer Contact Location.
    `void` | `setPlacerContactLocation(PL objplacerContactLocation)` Set the Placer Contact Location.
    `void` | `setPlacerContactPerson(ISingleCollection<XCN> objplacerContactPersonList)` Set the Placer Contact Person.
    `void` | `setPlacerContactPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Placer Contact Phone Number.
    `void` | `setPlacerContactPhoneNumber(XTN objplacerContactPhoneNumber)` Set the Placer Contact Phone Number.
    `void` | `setPlacerGroupNumber(EI objPlacerAssignedIdentifier, EI objFillerAssignedIdentifier)` Set the Placer Group Number.
    `void` | `setPlacerGroupNumber(EIP objplacerGroupNumber)` Set the Placer Group Number.
    `void` | `setPlacerOrderNumber(ISingleCollection<EI> objplacerOrderNumberList)` Set the Placer Order Number.
    `void` | `setScheduleID(CWE objscheduleID)` Set the Schedule ID.
    `void` | `setScheduleID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Schedule ID.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCH

          public SCH()

      Constructs the SCH segment.

  - ### Method Detail

    - #### getAppointmentDurationUnits

          public CNE getAppointmentDurationUnits()

      Retrieves the Appointment Duration Units.
      Returns:
        CNE - appointmentDurationUnits

    - #### getAppointmentReason

          public CWE getAppointmentReason()

      Retrieves the Appointment Reason. This field specify the identifier code for the reason that the appointment is to take place.
      Returns:
        CWE - appointmentReason

    - #### getAppointmentType

          public CWE getAppointmentType()

      Retrieves the Appointment Type.
      Returns:
        CWE - appointmentType

    - #### getEnteredByLocation

          public PL getEnteredByLocation()

      Retrieves the Entered By Location.
      Returns:
        PL - enteredByLocation

    - #### getEnteredByPerson

          public ISingleCollection<XCN> getEnteredByPerson()

      Retrieves the Entered By Person. This field specify the person responsible for entering the request for the scheduling of an appointment.
      Returns:
        ISingleCollection - enteredByPerson

    - #### getEnteredByPhoneNumber

          public ISingleCollection<XTN> getEnteredByPhoneNumber()

      Retrieves the Entered By Phone Number.
      Returns:
        ISingleCollection - enteredByPhoneNumber

    - #### getEventReason

          public CWE getEventReason()

      Retrieves the Event Reason.
      Returns:
        CWE - eventReason

    - #### getFillerAppointmentID

          public EI getFillerAppointmentID()

      Retrieves the Filler Appointment ID.
      Returns:
        EI - fillerAppointmentID

    - #### getFillerContactAddress

          public ISingleCollection<XAD> getFillerContactAddress()

      Retrieves the Filler Contact Address.
      Returns:
        ISingleCollection - fillerContactAddress

    - #### getFillerContactLocation

          public PL getFillerContactLocation()

      Retrieves the Filler Contact Location.
      Returns:
        PL - fillerContactLocation

    - #### getFillerContactPerson

          public ISingleCollection<XCN> getFillerContactPerson()

      Retrieves the Filler Contact Person.
      Returns:
        ISingleCollection - fillerContactPerson

    - #### getFillerContactPhoneNumber

          public XTN getFillerContactPhoneNumber()

      Retrieves the Filler Contact Phone Number.
      Returns:
        XTN - fillerContactPhoneNumber

    - #### getFillerOrderNumber

          public ISingleCollection<EI> getFillerOrderNumber()

      Retrieves the Filler Order Number. This field specify the order number assigned by the filler application for the order associated with this scheduling filler response.
      Returns:
        ISingleCollection - fillerOrderNumber

    - #### getFillerStatusCode

          public CWE getFillerStatusCode()

      Retrieves the Filler Status Code.
      Returns:
        CWE - fillerStatusCode

    - #### getOccurrenceNumber

          public NM getOccurrenceNumber()

      Retrieves the Occurrence Number.
      Returns:
        NM - occurrenceNumber

    - #### getParentFillerAppointmentID

          public EI getParentFillerAppointmentID()

      Retrieves the Parent Filler Appointment ID.
      Returns:
        EI - parentFillerAppointmentID

    - #### getParentPlacerAppointmentID

          public EI getParentPlacerAppointmentID()

      Retrieves the Parent Placer Appointment ID.
      Returns:
        EI - parentPlacerAppointmentID

    - #### getPlacerAppointmentID

          public EI getPlacerAppointmentID()

      Retrieves the Placer Appointment ID.
      Returns:
        EI - placerAppointmentID

    - #### getPlacerContactAddress

          public ISingleCollection<XAD> getPlacerContactAddress()

      Retrieves the Placer Contact Address.
      Returns:
        ISingleCollection - placerContactAddress

    - #### getPlacerContactLocation

          public PL getPlacerContactLocation()

      Retrieves the Placer Contact Location.
      Returns:
        PL - placerContactLocation

    - #### getPlacerContactPerson

          public ISingleCollection<XCN> getPlacerContactPerson()

      Retrieves the Placer Contact Person.
      Returns:
        ISingleCollection - placerContactPerson

    - #### getPlacerContactPhoneNumber

          public XTN getPlacerContactPhoneNumber()

      Retrieves the Placer Contact Phone Number.
      Returns:
        XTN - placerContactPhoneNumber

    - #### getPlacerGroupNumber

          public EIP getPlacerGroupNumber()

      Retrieves the Placer Group Number.
      Returns:
        EIP - placerGroupNumber

    - #### getPlacerOrderNumber

          public ISingleCollection<EI> getPlacerOrderNumber()

      Retrieves the Placer Order Number.
      Returns:
        ISingleCollection - placerOrderNumber

    - #### getScheduleID

          public CWE getScheduleID()

      Retrieves the Schedule ID. This field specify the identifier code for the schedule in which this appointment is (or will be) booked.
      Returns:
        CWE - scheduleID

    - #### setPlacerAppointmentID

          public void setPlacerAppointmentID(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Set the Placer Appointment ID.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setPlacerAppointmentID

          public void setPlacerAppointmentID(EI objplacerAppointmentID)

      Set the Placer Appointment ID.
      Parameters:
        `objplacerAppointmentID` - Object of Placer Appointment ID.

    - #### setFillerAppointmentID

          public void setFillerAppointmentID(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Set the Filler Appointment ID.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setFillerAppointmentID

          public void setFillerAppointmentID(EI objfillerAppointmentID)

      Set the Filler Appointment ID.
      Parameters:
        `objfillerAppointmentID` - Object of Filler Appointment ID.

    - #### setOccurrenceNumber

          public void setOccurrenceNumber(java.lang.String strOccurrenceNumber)

      Set the Occurrence Number.
      Parameters:
        `strOccurrenceNumber` - Uniquely identify an individual occurrence (a child) of a parent repeating schedule appointment.

    - #### setOccurrenceNumber

          public void setOccurrenceNumber(NM objoccurrenceNumber)

      Set the Occurrence Number.
      Parameters:
        `objoccurrenceNumber` - object of Occurrence Number.

    - #### setPlacerGroupNumber

          public void setPlacerGroupNumber(EI objPlacerAssignedIdentifier,
                                  EI objFillerAssignedIdentifier)

      Set the Placer Group Number. This field contains a unique identifier for the Placer Group as referenced by the Placer application, the Filler application, or both.
      Parameters:
        `objPlacerAssignedIdentifier` - Specifies an identifier assigned to an entity by the placer system.
        `objFillerAssignedIdentifier` - Specifies an identifier assigned to an entity by the filler system.

    - #### setPlacerGroupNumber

          public void setPlacerGroupNumber(EIP objplacerGroupNumber)

      Set the Placer Group Number. This field contains a unique identifier for the Placer Group as referenced by the Placer application, the Filler application, or both.
      Parameters:
        `objplacerGroupNumber` - Object of Placer Group Number.

    - #### setScheduleID

          public void setScheduleID(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Schedule ID. This field specify the identifier code for the schedule in which this appointment is (or will be) booked.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setScheduleID

          public void setScheduleID(CWE objscheduleID)

      Set the Schedule ID. This field specify the identifier code for the schedule in which this appointment is (or will be) booked.
      Parameters:
        `objscheduleID` - Object of Schedule ID.

    - #### setEventReason

          public void setEventReason(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Event Reason.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEventReason

          public void setEventReason(CWE objeventReason)

      Set the Event Reason.
      Parameters:
        `objeventReason` - Object of Event Reason.

    - #### setAppointmentReason

          public void setAppointmentReason(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Appointment Reason. This field specify the identifier code for the reason that the appointment is to take place.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAppointmentReason

          public void setAppointmentReason(CWE objappointmentReason)

      Set the Appointment Reason. This field specify the identifier code for the reason that the appointment is to take place.
      Parameters:
        `objappointmentReason` - Object of Appointment Reason.

    - #### setAppointmentType

          public void setAppointmentType(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Appointment Type. This field contains the identifier code for the type of appointment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAppointmentType

          public void setAppointmentType(CWE objappointmentType)

      Set the Appointment Type. This field contains the identifier code for the type of appointment.
      Parameters:
        `objappointmentType` - Object of Appointment Type.

    - #### setAppointmentDurationUnits

          public void setAppointmentDurationUnits(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionID,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameOfSecondAltenateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Appointment Duration Units. This field contains a code describing the units of time used for expressing the ARQ-9-Appointment Duration field.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setAppointmentDurationUnits

          public void setAppointmentDurationUnits(CNE objappointmentDurationUnits)

      Set the Appointment Duration Units.
      Parameters:
        `objappointmentDurationUnits` - Object of Appointment Duration Units.

    - #### addPlacerContactPerson

          public void addPlacerContactPerson(java.lang.String strIDNumber,
                                    FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    CWE objSourceTable,
                                    HD objAssigningAuthority,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strIdentifierCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepratment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Add the Placer Contact Person. This field identifies the person responsible for requesting the scheduling of a requested appointment.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addPlacerContactPerson

          public void addPlacerContactPerson(XCN objplacerContactPerson)

      Add the Placer Contact Person.
      Parameters:
        `objplacerContactPerson` - Object of Placer Contact Person.

    - #### setPlacerContactPerson

          public void setPlacerContactPerson(ISingleCollection<XCN> objplacerContactPersonList)

      Set the Placer Contact Person.
      Parameters:
        `objplacerContactPersonList` - List of Placer Contact Person.

    - #### setPlacerContactPhoneNumber

          public void setPlacerContactPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                         java.lang.String strTeleCommunicationEquipmentType,
                                         java.lang.String strCommuinicationAddress,
                                         java.lang.String strCountryCode,
                                         java.lang.String strAreaCityCode,
                                         java.lang.String strLocalNumber,
                                         java.lang.String strExtension,
                                         java.lang.String strAnyText,
                                         java.lang.String strExtensionPrefix,
                                         java.lang.String strSpeedDialCode,
                                         java.lang.String strUnformattedTelephoneNumber,
                                         java.lang.String strEffectiveStartDate,
                                         java.lang.String strExpirationDate,
                                         CWE objExpirationReason,
                                         CWE objProtectionCode,
                                         EI objSharedTelecommunicationIdentifier,
                                         java.lang.String strPreferenceOrder)

      Set the Placer Contact Phone Number. This field contains the phone number used to contact the SCH-12-Placer Contact Person.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### setPlacerContactPhoneNumber

          public void setPlacerContactPhoneNumber(XTN objplacerContactPhoneNumber)

      Set the Placer Contact Phone Number.
      Parameters:
        `objplacerContactPhoneNumber` - Object of Placer Contact Phone Number.

    - #### addPlacerContactAddress

          public void addPlacerContactAddress(SAD objStreetAddress,
                                     java.lang.String strOtherDesignation,
                                     java.lang.String strCity,
                                     java.lang.String strStateOrProvince,
                                     java.lang.String strZipOrPostalCode,
                                     java.lang.String strCountry,
                                     java.lang.String strAddressType,
                                     java.lang.String strOtherGeographicDesignation,
                                     CWE objCountyParishCode,
                                     CWE objCensusTract,
                                     java.lang.String strAddressRepresentationCode,
                                     DTM objEffectiveDate,
                                     DTM objExpirationDate,
                                     CWE objEXpirationReason,
                                     java.lang.String strTemporaryIndicator,
                                     java.lang.String strBadAddressIndicator,
                                     java.lang.String strAddressUsage,
                                     java.lang.String strAddressee,
                                     java.lang.String strComment,
                                     java.lang.String strPreferenceOrder,
                                     CWE objProtectionCode,
                                     EI objAddressIdentifier)

      Add the Placer Contact Address. This field contains the address used to contact the SCH-12-Placer Contact Person.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addPlacerContactAddress

          public void addPlacerContactAddress(XAD objplacerContactAddress)

      Add the Placer Contact Address.
      Parameters:
        `objplacerContactAddress` - Object of Placer Contact Address.

    - #### setPlacerContactAddress

          public void setPlacerContactAddress(ISingleCollection<XAD> objplacerContactAddressList)

      Set the Placer Contact Address.
      Parameters:
        `objplacerContactAddressList` - List of Placer Contact Address.

    - #### setPlacerContactLocation

          public void setPlacerContactLocation(HD objPointOfCare,
                                      HD objRoom,
                                      HD objBed,
                                      HD objFacility,
                                      java.lang.String strLocationStatus,
                                      java.lang.String strPersonLocationType,
                                      HD objBuilding,
                                      HD objFloor,
                                      java.lang.String strLocationDescription,
                                      EI objComprehensiveLocationIdentifier,
                                      HD objAssigningAuthorityForLocation)

      Set the Placer Contact Location. This field contains a code that identifies the location of the SCH-12-Placer Contact Person.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setPlacerContactLocation

          public void setPlacerContactLocation(PL objplacerContactLocation)

      Set the Placer Contact Location. This field contains a code that identifies the location of the SCH-12-Placer Contact Person.
      Parameters:
        `objplacerContactLocation` - Object of Placer Contact Location.

    - #### addFillerContactPerson

          public void addFillerContactPerson(java.lang.String strIDNumber,
                                    FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    CWE objSourceTable,
                                    HD objAssigningAuthority,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strIdentifierCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepratment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Add the Filler Contact Person. This field identifies the person responsible for the scheduling of the requested appointment.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addFillerContactPerson

          public void addFillerContactPerson(XCN objfillerContactPerson)

      Add the Filler Contact Person.
      Parameters:
        `objfillerContactPerson` - Object of Filler Contact Person.

    - #### setFillerContactPerson

          public void setFillerContactPerson(ISingleCollection<XCN> objfillerContactPersonList)

      Set the Filler Contact Person.
      Parameters:
        `objfillerContactPersonList` - List of Filler Contact Person.

    - #### setFillerContactPhoneNumber

          public void setFillerContactPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                         java.lang.String strTeleCommunicationEquipmentType,
                                         java.lang.String strCommuinicationAddress,
                                         java.lang.String strCountryCode,
                                         java.lang.String strAreaCityCode,
                                         java.lang.String strLocalNumber,
                                         java.lang.String strExtension,
                                         java.lang.String strAnyText,
                                         java.lang.String strExtensionPrefix,
                                         java.lang.String strSpeedDialCode,
                                         java.lang.String strUnformattedTelephoneNumber,
                                         java.lang.String strEffectiveStartDate,
                                         java.lang.String strExpirationDate,
                                         CWE objExpirationReason,
                                         CWE objProtectionCode,
                                         EI objSharedTelecommunicationIdentifier,
                                         java.lang.String strPreferenceOrder)

      Set the Filler Contact Phone Number. This field contains the phone number used to contact the SCH-16-Filler Contact Person.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### setFillerContactPhoneNumber

          public void setFillerContactPhoneNumber(XTN objfillerContactPhoneNumber)

      Set the Filler Contact Phone Number.
      Parameters:
        `objfillerContactPhoneNumber` - Object of Filler Contact Phone Number.

    - #### addFillerContactAddress

          public void addFillerContactAddress(SAD objStreetAddress,
                                     java.lang.String strOtherDesignation,
                                     java.lang.String strCity,
                                     java.lang.String strStateOrProvince,
                                     java.lang.String strZipOrPostalCode,
                                     java.lang.String strCountry,
                                     java.lang.String strAddressType,
                                     java.lang.String strOtherGeographicDesignation,
                                     CWE objCountyParishCode,
                                     CWE objCensusTract,
                                     java.lang.String strAddressRepresentationCode,
                                     DTM objEffectiveDate,
                                     DTM objExpirationDate,
                                     CWE objEXpirationReason,
                                     java.lang.String strTemporaryIndicator,
                                     java.lang.String strBadAddressIndicator,
                                     java.lang.String strAddressUsage,
                                     java.lang.String strAddressee,
                                     java.lang.String strComment,
                                     java.lang.String strPreferenceOrder,
                                     CWE objProtectionCode,
                                     EI objAddressIdentifier)

      Add the Filler Contact Address. This field contains the address used to contact the SCH-16-Filler Contact Person.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addFillerContactAddress

          public void addFillerContactAddress(XAD objfillerContactAddress)

      Add the Filler Contact Address.
      Parameters:
        `objfillerContactAddress` - Object of Filler Contact Address.

    - #### setFillerContactAddress

          public void setFillerContactAddress(ISingleCollection<XAD> objfillerContactAddressList)

      Set the Filler Contact Address.
      Parameters:
        `objfillerContactAddressList` - List of Filler Contact Address.

    - #### setFillerContactLocation

          public void setFillerContactLocation(HD objPointOfCare,
                                      HD objRoom,
                                      HD objBed,
                                      HD objFacility,
                                      java.lang.String strLocationStatus,
                                      java.lang.String strPersonLocationType,
                                      HD objBuilding,
                                      HD objFloor,
                                      java.lang.String strLocationDescription,
                                      EI objComprehensiveLocationIdentifier,
                                      HD objAssigningAuthorityForLocation)

      Set the Filler Contact Location. This field contains a code that identifies the location of the SCH-16-Filler Contact Person.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setFillerContactLocation

          public void setFillerContactLocation(PL objfillerContactLocation)

      Set the Filler Contact Location.
      Parameters:
        `objfillerContactLocation` - Object of Filler Contact Location.

    - #### addEnteredByPerson

          public void addEnteredByPerson(java.lang.String strIDNumber,
                                FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                CWE objSourceTable,
                                HD objAssigningAuthority,
                                java.lang.String strNameTypeCode,
                                java.lang.String strIdentifierCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepratment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Add the Entered By Person. This field specify the person responsible for entering the request for the scheduling of an appointment.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addEnteredByPerson

          public void addEnteredByPerson(XCN objenteredByPerson)

      Add the Entered By Person. This field specify the person responsible for entering the request for the scheduling of an appointment.
      Parameters:
        `objenteredByPerson` - Object of Entered By Person.

    - #### setEnteredByPerson

          public void setEnteredByPerson(ISingleCollection<XCN> objenteredByPersonList)

      Set the Entered By Person. This field specify the person responsible for entering the request for the scheduling of an appointment.
      Parameters:
        `objenteredByPersonList` - List of Entered By Person.

    - #### addEnteredByPhoneNumber

          public void addEnteredByPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                     java.lang.String strTeleCommunicationEquipmentType,
                                     java.lang.String strCommuinicationAddress,
                                     java.lang.String strCountryCode,
                                     java.lang.String strAreaCityCode,
                                     java.lang.String strLocalNumber,
                                     java.lang.String strExtension,
                                     java.lang.String strAnyText,
                                     java.lang.String strExtensionPrefix,
                                     java.lang.String strSpeedDialCode,
                                     java.lang.String strUnformattedTelephoneNumber,
                                     java.lang.String strEffectiveStartDate,
                                     java.lang.String strExpirationDate,
                                     CWE objExpirationReason,
                                     CWE objProtectionCode,
                                     EI objSharedTelecommunicationIdentifier,
                                     java.lang.String strPreferenceOrder)

      Add the Entered By Phone Number. This field contains the phone number used to contact the ARQ-19-Entered by Person.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addEnteredByPhoneNumber

          public void addEnteredByPhoneNumber(XTN objenteredByPhoneNumber)

      Add the Entered By Phone Number.
      Parameters:
        `objenteredByPhoneNumber` - Object of Entered By Phone Number.

    - #### setEnteredByPhoneNumber

          public void setEnteredByPhoneNumber(ISingleCollection<XTN> objenteredByPhoneNumberList)

      Set the Entered By Phone Number.
      Parameters:
        `objenteredByPhoneNumberList` - List of Entered By Phone Number.

    - #### setEnteredByLocation

          public void setEnteredByLocation(HD objPointOfCare,
                                  HD objRoom,
                                  HD objBed,
                                  HD objFacility,
                                  java.lang.String strLocationStatus,
                                  java.lang.String strPersonLocationType,
                                  HD objBuilding,
                                  HD objFloor,
                                  java.lang.String strLocationDescription,
                                  EI objComprehensiveLocationIdentifier,
                                  HD objAssigningAuthorityForLocation)

      Set the Entered By Location. This field contains a code that identifies the location of the entered by person.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setEnteredByLocation

          public void setEnteredByLocation(PL objenteredByLocation)

      Set the Entered By Location.
      Parameters:
        `objenteredByLocation` - Object of Entered By Location.

    - #### setParentFillerAppointmentID

          public void setParentFillerAppointmentID(java.lang.String strEntityIdentifier,
                                          java.lang.String strNamespaceId,
                                          java.lang.String strUniversalId,
                                          java.lang.String strUniversalIdType)

      Set the Parent Filler Appointment ID.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setParentFillerAppointmentID

          public void setParentFillerAppointmentID(EI objparentFillerAppointmentID)

      Set the Parent Filler Appointment ID.
      Parameters:
        `objparentFillerAppointmentID` - Object of Parent Filler Appointment ID.

    - #### setParentPlacerAppointmentID

          public void setParentPlacerAppointmentID(java.lang.String strEntityIdentifier,
                                          java.lang.String strNamespaceId,
                                          java.lang.String strUniversalId,
                                          java.lang.String strUniversalIdType)

      Set the Parent Placer Appointment ID.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setParentPlacerAppointmentID

          public void setParentPlacerAppointmentID(EI objparentPlacerAppointmentID)

      Set the Parent Placer Appointment ID.
      Parameters:
        `objparentPlacerAppointmentID` - Object of Parent Placer Appointment ID.

    - #### setFillerStatusCode

          public void setFillerStatusCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Filler Status Code. This field contains a code describing the status of the appointment with respect to the filler application.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setFillerStatusCode

          public void setFillerStatusCode(CWE objfillerStatusCode)

      Set the Filler Status Code.
      Parameters:
        `objfillerStatusCode` - Object of Filler Status Code.

    - #### addPlacerOrderNumber

          public void addPlacerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Add the Placer Order Number.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### addPlacerOrderNumber

          public void addPlacerOrderNumber(EI objplacerOrderNumber)

      Add the Placer Order Number.
      Parameters:
        `objplacerOrderNumber` - Object of Placer Order Number.

    - #### setPlacerOrderNumber

          public void setPlacerOrderNumber(ISingleCollection<EI> objplacerOrderNumberList)

      Set the Placer Order Number.
      Parameters:
        `objplacerOrderNumberList` - List of Placer Order Number.

    - #### addFillerOrderNumber

          public void addFillerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Add the Filler Order Number. This field specify the order number assigned by the filler application for the order associated with this scheduling filler response.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### addFillerOrderNumber

          public void addFillerOrderNumber(EI objfillerOrderNumber)

      Add the Filler Order Number. This field specify the order number assigned by the filler application for the order associated with this scheduling filler response.
      Parameters:
        `objfillerOrderNumber` - Object of Filler Order Number.

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(ISingleCollection<EI> objfillerOrderNumberList)

      Set the Filler Order Number. This field specify the order number assigned by the filler application for the order associated with this scheduling filler response.
      Parameters:
        `objfillerOrderNumberList` - List of Filler Order Number.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.